Bug 94086 - shells/bash uses wrong bison version of installed [PATCH]
shells/bash uses wrong bison version of installed [PATCH]
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: obrien
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-05 08:50 UTC by nicolas-0
Modified: 2006-03-07 17:48 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (272 bytes, patch)
2006-03-05 08:50 UTC, nicolas-0
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nicolas-0 2006-03-05 08:50:05 UTC
shells/bash uses bison-1.75_2,1 if it's installed, and generates a
broken parser, which does not handle 'for' loops without 'in'
correctly (and that breaks many configure scripts).

see:
http://groups.google.com/group/gnu.bash.bug/browse_thread/thread/ac7bea9475502718/fdecf54a92a0bc24
http://groups.google.com/group/gnu.bash.bug/browse_thread/thread/77a8eb7e51597df1/a05a71ae9627cb22
http://docs.freebsd.org/cgi/getmsg.cgi?fetch=1035500+0+current/freebsd-stable

How-To-Repeat: 
Install devel/bison and then shells/bash. Execute the following script
with some parameters.

t.sh:
#!/usr/local/bin/bash

echo X "$@"

for i
do
echo A $i
done
EOF
Comment 1 Edwin Groothuis freebsd_committer 2006-03-05 08:52:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->obrien

Over to maintainer
Comment 2 kris freebsd_committer 2006-03-06 21:58:31 UTC
State Changed
From-To: open->closed

Committed, thanks!